import os
import shutil
from os import path
import cx_Oracle
import sys
import csv
from subprocess import Popen,PIPE

total = len(sys.argv)
script_name = str(sys.argv[0])
if total != 5:
   print ('Script usage: python', script_name, 'db-schema-list_filename','dms-arn-list_filename','cloud-formation-stack-name','migration-type')
   exit ()
str(sys.argv[1])
#print(str(sys.argv[1]))
#print(str(sys.argv[2]))
#print(str(sys.argv[3]))

schemalist = open(str(sys.argv[1]),"r")
arnlist = open(str(sys.argv[2]),"r")
cftstackname = str(sys.argv[3])
migtype = str(sys.argv[4])

if migtype not in ('full-load', 'cdc', 'full-load-and-cdc'):
    print ('Enter valid migration-type value : full-load / cdc / full-load-and-cdc')
    exit()

for aline in schemalist.readlines():

	li=aline.strip()

	if not li.startswith("#"):
		values = li.split(',')

		SOURCE_SCHEMA = values[5].upper()
		SOURCE_HOST = values[1]
		SOURCE_PORT = values[6]
		SOURCE_SID = values[7]
		SOURCE_USER = values[3]
		SOURCE_PWD = values[4]

		TARGET_HOST = values[9]
		TARGET_PORT = values[13]
		TARGET_USER = values[10]
		TARGET_PWD = values[11]
		TARGET_DBNAME = values[12]

for bline in arnlist.readlines():

	li=bline.strip()

	if not li.startswith("#"):
            values = li.split(',')

            SOURCE_ARN = values[0]
            TARGET_ARN = values[1]
            REPLICATION_ARN = values[2]
            #print (SOURCE_ARN)
            #print (TARGET_ARN)
            #print (REPLICATION_ARN)

            oracle_conn_str = SOURCE_USER +"/" +SOURCE_PWD +"@" +SOURCE_HOST +"/" +SOURCE_SID
            con = cx_Oracle.connect(oracle_conn_str)
            cur = con.cursor()

            final_result = {}
    	    #print SOURCE_SCHEMA
            sql = "select t.owner, t.table_name, nvl(t.num_rows,0) num_rows "\
    				"  , LISTAGG(acc.column_name, ',') WITHIN GROUP (ORDER BY acc.position) column_name "\
    				"from SYS.ALL_TABLES t  "\
    				"left outer join SYS.ALL_CONSTRAINTS c "\
    				"  ON t.owner = c.owner and t.table_name = c.table_name and c.constraint_type = 'P' "\
    				"left outer join SYS.ALL_CONS_COLUMNS acc "\
    				"  ON t.owner = acc.owner and c.constraint_name = acc.constraint_name  "\
    				"where t.owner='" +SOURCE_SCHEMA +"' "\
    				"and t.table_name != 'AWS_COLUMN_MAPPING' "\
    				"group by t.owner, t.table_name, t.num_rows  "\
    				"order by t.table_name"
    	    #print sql

            cur.execute(sql)
            result = cur.fetchall()
            final_result = [list(i) for i in result]

            small_tables = []
            medium_tables = []
            large_tables = []

            i = 0
            while i < len(final_result):
                rows = final_result[i]
                tbl_name = rows[1]
                tbl_row_cnt = rows[2]

                if tbl_row_cnt >= 0 and tbl_row_cnt < 100000:
                    small_tables.append(rows[1])
                elif tbl_row_cnt > 100001 and tbl_row_cnt < 10000000:
                    medium_tables.append(rows[1])
                else:
                    large_tables.append(rows[1])

                i = i + 1

                #print ('small_tables -> ' + small_tables)
                #print ('medium_tables -> ' + medium_tables)
                #print ('large_tables -> ' + large_tables)

                csv_str = ""
                small_tables_len = 0
                a = 0

                outputFile = open("dms-cft-input.csv",'w')
                outputFile.write("SlNo,selectionType,taskName,taskDescription,schemaName,tableName,excludeColumns,filterColumn,filterCondition,startValue,endValue,cdcStartTime,taskPrepMode,maxSubTasks,lobMode,fullLob,chunkSize,validation,sourceARN,targetARN,repARN,changeProcessingDdlHandlingPolicy,logging,enableBatchApply,stopTaskWithCache,stopTaskWithOutCache,enableHistoryTable,enableSuspendTable,enableStatusTable,controlSchema \n")

                small_tables_len = len(small_tables)
                for x in range(small_tables_len):
                    a = a + 1
                    csv_str = str(a) + ",include,"+ SOURCE_SCHEMA+"-"+TARGET_DBNAME+"-small,," + SOURCE_SCHEMA + "," + small_tables[x] + ",,,,,,,DO_NOTHING,1,TRUE,,2300,TRUE," + SOURCE_ARN + "," + TARGET_ARN +  "," + REPLICATION_ARN + ",,TRUE,,,,,,,control \n"
                    #print (csv_str)
                    outputFile.writelines(csv_str)
                    #outputFile.close()

                medium_tables_len = len(medium_tables)
                for y in range(medium_tables_len):
                    a = a + 1
                    csv_str = str(a) + ",include,"+ SOURCE_SCHEMA+"-"+TARGET_DBNAME+"-medium,," + SOURCE_SCHEMA + "," + medium_tables[y] + ",,,,,,,DO_NOTHING,1,TRUE,,2300,TRUE," + SOURCE_ARN + "," + TARGET_ARN +  "," + REPLICATION_ARN + ",,TRUE,,,,,,,control \n"
                    #print (csv_str)
                    outputFile.writelines(csv_str)

                large_tables_len = len(large_tables)
                for z in range(large_tables_len):
                    a = a + 1
                    csv_str = str(a) + ",include,"+ SOURCE_SCHEMA+"-"+TARGET_DBNAME+"-large-"+large_tables[z] +",," + SOURCE_SCHEMA + "," + large_tables[z] + ",,,,,,,DO_NOTHING,1,TRUE,,2300,TRUE," + SOURCE_ARN + "," + TARGET_ARN +  "," + REPLICATION_ARN + ",,TRUE,,,,,,,control \n"
                    #print (csv_str)
                    outputFile.writelines(csv_str)

                outputFile.close()

            cur.close()
            con.close()

            print ("CSV file dms-cft-input.csv is ready... \n")

    	    #print('Starting Cloud Formation execution...')
            os.chdir("cloud-formation")
            #cmd = 'python cf-generator.py --path="../dms-cft-input.csv" --type=full-load-and-cdc'
            cmd = 'python cf-generator.py --path="../dms-cft-input.csv" --type=' + migtype
            print ('Executing Cloud Formation Template Generator Command -> ' + cmd)
            process = Popen(cmd, stdout=PIPE, stderr=PIPE, shell=True)
            response, error = process.communicate()
            #print('response->'+response)
            #print('error->'+error)
            response = str(response)
            print (response)

            path = os.getcwd()
            #print (path)
            json_file_path = path + '/output/dms-cft-input.json'
            #print (json_file_path)

            cmd = 'aws cloudformation create-stack --stack-name ' + cftstackname + ' --template-body file://' + json_file_path
            print ('Executing Cloud Formation Create Stack Command -> ' + cmd)
            process = Popen(cmd, stdout=PIPE, stderr=PIPE, shell=True)
            response, error = process.communicate()
            #print('response->'+response)
            #print('error->'+error)
            response = str(response)
            print ('Cloud Formation Stack Created -> ' + response)
