-- ------------ Write CREATE-TABLE-stage scripts -----------

CREATE TABLE orcl.account(
accountid DOUBLE PRECISION NOT NULL,
accountname CHARACTER VARYING(150),
brokeraccount CHARACTER VARYING(200),
brokerid DOUBLE PRECISION,
clientid DOUBLE PRECISION,
create_date TIMESTAMP(0) WITHOUT TIME ZONE,
min_transfer_amt DOUBLE PRECISION,
margin_ccytypeid DOUBLE PRECISION,
transfer_rounding DOUBLE PRECISION,
margin_rolling_disabled TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.account_mview(
account_id DOUBLE PRECISION,
account_name CHARACTER VARYING(150),
client_id DOUBLE PRECISION,
client_name CHARACTER VARYING(40),
broker_id DOUBLE PRECISION,
broker_name CHARACTER VARYING(40),
broker_entity CHARACTER VARYING(20),
broker_short_name CHARACTER VARYING(8),
entity_type_id DOUBLE PRECISION,
entity_type CHARACTER VARYING(20),
disabled_date TIMESTAMP(0) WITHOUT TIME ZONE,
account_rowid CHARACTER(255),
broker_rowid CHARACTER(255),
client_rowid CHARACTER(255),
entity_type_rowid CHARACTER(255),
disabled_account_rowid CHARACTER(255)
);



CREATE TABLE orcl.alert_app_non_user_log(
log_id DOUBLE PRECISION,
log_date TIMESTAMP(0) WITHOUT TIME ZONE,
sm_user CHARACTER VARYING(30),
mail CHARACTER VARYING(255),
remote_ip_addr CHARACTER VARYING(255),
host CHARACTER VARYING(255),
email_to CHARACTER VARYING(255),
email_cc CHARACTER VARYING(255)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.alert_db_log(
log_id DOUBLE PRECISION,
log_date TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT aws_oracle_ext.SYSDATE(),
os_username CHARACTER VARYING(255),
db_username CHARACTER VARYING(30),
userhost CHARACTER VARYING(128),
terminal CHARACTER VARYING(255),
timestamp TIMESTAMP(0) WITHOUT TIME ZONE,
action_name CHARACTER VARYING(30),
obj_owner CHARACTER VARYING(30),
obj_name CHARACTER VARYING(128),
returncode DOUBLE PRECISION,
policy_name CHARACTER VARYING(128),
email_to CHARACTER VARYING(255),
email_cc CHARACTER VARYING(255),
sessionid DOUBLE PRECISION,
scn DOUBLE PRECISION,
proxy_sessionid DOUBLE PRECISION,
comment_text CHARACTER VARYING(4000),
extended_timestamp TIMESTAMP(6) WITH TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.alert_email_log(
log_id DOUBLE PRECISION,
log_date TIMESTAMP(0) WITHOUT TIME ZONE,
log_type CHARACTER VARYING(10),
ref_log_id DOUBLE PRECISION,
sent TIMESTAMP(0) WITHOUT TIME ZONE,
sent_to CHARACTER VARYING(255),
cc CHARACTER VARYING(255),
subject CHARACTER VARYING(255),
text_msg CHARACTER VARYING(3200),
html_msg TEXT
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.allegation_type_transfm_rules(
import_type_code CHARACTER VARYING(20) NOT NULL,
key CHARACTER VARYING(250) NOT NULL,
allegation_type CHARACTER VARYING(75),
allegation_subtype CHARACTER VARYING(75),
allegation_nature CHARACTER VARYING(75)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.allegations(
allegation_id NUMERIC(38,0) NOT NULL,
period_id NUMERIC(38,0),
disclosure_id CHARACTER VARYING(20),
case_number CHARACTER VARYING(20),
issue BYTEA,
merge_job_id NUMERIC(38,0),
country CHARACTER VARYING(40),
allegation_type BYTEA,
allegation_subtype BYTEA,
allegation_nature BYTEA,
subject BYTEA,
disclosure_details BYTEA,
reported_by BYTEA,
incident_date TIMESTAMP(0) WITHOUT TIME ZONE,
reported_date TIMESTAMP(0) WITHOUT TIME ZONE,
opened_date TIMESTAMP(0) WITHOUT TIME ZONE,
action BYTEA,
followup_action CHARACTER VARYING(1000),
created_date TIMESTAMP(0) WITHOUT TIME ZONE,
iv BYTEA,
therapeutic_area_code CHARACTER VARYING(25)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.allegations_dummy(
allegation_id NUMERIC(38,0) NOT NULL,
period_id NUMERIC(38,0),
disclosure_id CHARACTER VARYING(20),
case_number CHARACTER VARYING(20),
issue CHARACTER VARYING(50),
merge_job_id NUMERIC(38,0),
country CHARACTER VARYING(40),
allegation_type CHARACTER VARYING(75),
allegation_subtype CHARACTER VARYING(75),
allegation_nature CHARACTER VARYING(75),
subject CHARACTER VARYING(100),
disclosure_details CHARACTER VARYING(500),
reported_by CHARACTER VARYING(100),
incident_date TIMESTAMP(0) WITHOUT TIME ZONE,
reported_date TIMESTAMP(0) WITHOUT TIME ZONE,
opened_date TIMESTAMP(0) WITHOUT TIME ZONE,
action CHARACTER VARYING(150),
followup_action CHARACTER VARYING(150),
created_date TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.array_series(
arrray_code CHARACTER VARYING(100),
created_date TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.audit_db_logons(
log_id DOUBLE PRECISION,
log_date TIMESTAMP(0) WITHOUT TIME ZONE,
os_username CHARACTER VARYING(255),
db_username CHARACTER VARYING(30),
userhost CHARACTER VARYING(128),
terminal CHARACTER VARYING(255),
timestamp TIMESTAMP(0) WITHOUT TIME ZONE,
action_name CHARACTER VARYING(30),
sessionid DOUBLE PRECISION,
proxy_sessionid DOUBLE PRECISION,
comment_text CHARACTER VARYING(4000),
logoff_time TIMESTAMP(0) WITHOUT TIME ZONE,
extended_timestamp TIMESTAMP(6) WITH TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.audit_finding_issue_types(
issue_type_code CHARACTER VARYING(5) NOT NULL,
issue_type_name CHARACTER VARYING(50)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.audit_finding_sources(
source_id NUMERIC(38,0) NOT NULL,
source_name CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.audit_finding_sox_locations(
sox_location_id NUMERIC(38,0) NOT NULL,
sox_location_name CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.audit_findings(
finding_id NUMERIC(38,0) NOT NULL,
quarter NUMERIC(38,0),
year CHARACTER VARYING(4),
country_code CHARACTER VARYING(2),
report_number CHARACTER VARYING(25),
report_name CHARACTER VARYING(500),
report_date TIMESTAMP(0) WITHOUT TIME ZONE,
item_number CHARACTER VARYING(25),
issue BYTEA,
issue_type_code CHARACTER VARYING(5),
details BYTEA,
action BYTEA,
responsible_party BYTEA,
target_date TIMESTAMP(0) WITHOUT TIME ZONE,
status CHARACTER VARYING(25),
import_id NUMERIC(38,0),
iv BYTEA,
entity CHARACTER VARYING(250),
sox_location CHARACTER VARYING(100),
source_id NUMERIC(38,0),
ics_number CHARACTER VARYING(25)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.audit_log(
audit_log_id NUMERIC(38,0) NOT NULL,
session_id CHARACTER VARYING(150),
user_id CHARACTER VARYING(10),
requested_url CHARACTER VARYING(250),
action CHARACTER VARYING(25),
object_type CHARACTER VARYING(50),
object_id CHARACTER VARYING(25),
details CHARACTER VARYING(1000),
result CHARACTER VARYING(25),
action_time TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.aws_column_mapping(
schema_name CHARACTER VARYING(32),
table_name CHARACTER VARYING(64),
col_seq DOUBLE PRECISION,
column_name CHARACTER VARYING(64),
column_datatype CHARACTER VARYING(64),
data_precision DOUBLE PRECISION,
data_scale DOUBLE PRECISION,
is_nullable CHARACTER VARYING(10),
min_val DOUBLE PRECISION,
max_val DOUBLE PRECISION,
sum_val DOUBLE PRECISION,
target_dbname CHARACTER VARYING(50),
suggested_datatype CHARACTER VARYING(64),
suggested_data_precision DOUBLE PRECISION,
suggested_data_scale DOUBLE PRECISION,
suggestion_flg DOUBLE PRECISION,
when_entered TIMESTAMP(6) WITHOUT TIME ZONE DEFAULT aws_oracle_ext.systimestamp()
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.base(
base_seq NUMERIC(38,0),
base_code CHARACTER VARYING(50)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.bkp_pdlim(
sample_key DOUBLE PRECISION,
sampleid CHARACTER VARYING(40),
sample_desc CHARACTER VARYING(1),
scientist CHARACTER VARYING(1),
materialtype CHARACTER VARYING(75),
bmsnum CHARACTER VARYING(90),
excipientname CHARACTER VARYING(1),
batchnum CHARACTER VARYING(150),
sapnum CHARACTER VARYING(1),
otherid CHARACTER VARYING(120),
note CHARACTER VARYING(750),
createddate TIMESTAMP(0) WITHOUT TIME ZONE,
createdby CHARACTER VARYING(36),
modifiedby CHARACTER VARYING(1),
modifieddate TIMESTAMP(0) WITHOUT TIME ZONE,
status CHARACTER VARYING(1),
granulation CHARACTER VARYING(1),
blend CHARACTER VARYING(1),
elnnum CHARACTER VARYING(1),
createdsite CHARACTER VARYING(1),
stdbms CHARACTER VARYING(1),
experimentname CHARACTER VARYING(90),
name CHARACTER VARYING(120),
calvalue CHARACTER VARYING(762),
repnum DOUBLE PRECISION,
datasrc CHARACTER VARYING(6)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.blob_test(
id NUMERIC(38,10),
name CHARACTER VARYING(10),
picture BYTEA
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.bmsmemberof_groups(
bmsid CHARACTER VARYING(300) NOT NULL,
bmsmemberof CHARACTER VARYING(4000) NOT NULL,
derived_group CHARACTER VARYING(3999),
dn CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.brand_aliases(
brand_alias_id NUMERIC(38,0) NOT NULL,
brand_alias CHARACTER VARYING(100),
brand_id NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.brands(
brand_id NUMERIC(38,0) NOT NULL,
therapeutic_area_code CHARACTER VARYING(25),
brand_name CHARACTER VARYING(50),
molecule CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.broker(
brokerid DOUBLE PRECISION NOT NULL,
brokername CHARACTER VARYING(40),
ticker_lookup CHARACTER VARYING(25),
entity CHARACTER VARYING(20),
shortname CHARACTER VARYING(8),
entitytypeid DOUBLE PRECISION
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.broker_asset(
broker_asset_id NUMERIC(13,0) NOT NULL,
assetid DOUBLE PRECISION NOT NULL,
ccy CHARACTER VARYING(32),
description CHARACTER VARYING(128),
brkr_asset_idntfr_type_list CHARACTER VARYING(64) NOT NULL,
brkr_asset_idntfr_val_list CHARACTER VARYING(3000) NOT NULL,
broker_parent_id DOUBLE PRECISION,
original_feed_file_id NUMERIC(38,0),
earliest_usage_date TIMESTAMP(0) WITHOUT TIME ZONE,
latest_usage_date TIMESTAMP(0) WITHOUT TIME ZONE,
rule_id NUMERIC(4,0),
resolved_status_cd CHARACTER VARYING(1) NOT NULL DEFAULT 'N',
when_entered TIMESTAMP(6) WITHOUT TIME ZONE DEFAULT aws_oracle_ext.SYSDATE(),
last_updated TIMESTAMP(6) WITHOUT TIME ZONE DEFAULT aws_oracle_ext.SYSDATE(),
product_type CHARACTER VARYING(128),
map_to_security_cd CHARACTER VARYING(1) NOT NULL DEFAULT 'Y',
display_ignore_date TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );


COMMENT ON TABLE orcl.broker_asset
     IS 'Stores broker level assets.';


COMMENT ON COLUMN orcl.broker_asset.broker_asset_id
     IS 'Identifier value.';


COMMENT ON COLUMN orcl.broker_asset.assetid
     IS 'Asset identifier value.';


COMMENT ON COLUMN orcl.broker_asset.ccy
     IS 'Currency value.';


COMMENT ON COLUMN orcl.broker_asset.description
     IS 'Asset description.';


COMMENT ON COLUMN orcl.broker_asset.brkr_asset_idntfr_type_list
     IS 'A concatenated list of asset identifier types.';


COMMENT ON COLUMN orcl.broker_asset.brkr_asset_idntfr_val_list
     IS 'A concatenated list of asset identifier values.';


COMMENT ON COLUMN orcl.broker_asset.broker_parent_id
     IS 'Broker parent identifier.';


COMMENT ON COLUMN orcl.broker_asset.original_feed_file_id
     IS 'The feed_file_id used to create the record.';


COMMENT ON COLUMN orcl.broker_asset.earliest_usage_date
     IS 'Optional - The earliest date (e.g. position date) that is associated with this broker asset.';


COMMENT ON COLUMN orcl.broker_asset.latest_usage_date
     IS 'Optional - The latest date (e.g. position date) that is associated with this broker asset.';


COMMENT ON COLUMN orcl.broker_asset.rule_id
     IS 'The rule_id used to match the broker_asset to a security in the "Golden Source".';


COMMENT ON COLUMN orcl.broker_asset.resolved_status_cd
     IS 'Indicates the resolution status for matcing to a security in the "Golden Source". N=No, Y=Yes, P=Pending.';


COMMENT ON COLUMN orcl.broker_asset.when_entered
     IS 'The date/time the record was created.';


COMMENT ON COLUMN orcl.broker_asset.last_updated
     IS 'The date/time the record was updated.';


COMMENT ON COLUMN orcl.broker_asset.product_type
     IS 'An optional product type.';


COMMENT ON COLUMN orcl.broker_asset.map_to_security_cd
     IS 'Indicates whether or not the broker_asset should be mapped to a security.';


COMMENT ON COLUMN orcl.broker_asset.display_ignore_date
     IS 'Used to suppress diplaying the broker_asset on the web GUI.';



CREATE TABLE orcl.broker_parent(
broker_parent_id NUMERIC(38,0) NOT NULL,
short_name CHARACTER VARYING(10),
broker_name CHARACTER VARYING(50),
countryid DOUBLE PRECISION,
website CHARACTER VARYING(2083),
broker_type CHARACTER VARYING(32) NOT NULL DEFAULT 'STANDARD'
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.brokeraccount_lookup(
accountid DOUBLE PRECISION NOT NULL,
brokeraccount CHARACTER VARYING(200) NOT NULL,
create_date TIMESTAMP(0) WITHOUT TIME ZONE,
create_user CHARACTER VARYING(20),
enabled TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.cases(
case_number CHARACTER VARYING(15) NOT NULL,
country CHARACTER VARYING(50),
location CHARACTER VARYING(50),
primary_issue BYTEA,
secondary_issue_1 BYTEA,
secondary_issue_2 BYTEA,
is_anonymous_reporter CHARACTER(1),
intake_method CHARACTER VARYING(25),
incident_date TIMESTAMP(0) WITHOUT TIME ZONE,
received_date TIMESTAMP(0) WITHOUT TIME ZONE,
opened_date TIMESTAMP(0) WITHOUT TIME ZONE,
closed_date TIMESTAMP(0) WITHOUT TIME ZONE,
primary_outcome BYTEA,
secondary_outcome_1 BYTEA,
secondary_outcome_2 BYTEA,
status CHARACTER VARYING(10),
action BYTEA,
is_allegation CHARACTER(1) DEFAULT 'N',
import_id NUMERIC(38,0),
modified_by CHARACTER VARYING(10),
modified_date TIMESTAMP(0) WITHOUT TIME ZONE,
iv BYTEA,
therapeutic_area_code CHARACTER VARYING(25),
completion_date TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.client(
clientid DOUBLE PRECISION NOT NULL,
clientname CHARACTER VARYING(40) NOT NULL,
aum DOUBLE PRECISION,
create_date TIMESTAMP(0) WITHOUT TIME ZONE,
report_group_id DOUBLE PRECISION,
timezone CHARACTER VARYING(32) DEFAULT 'US/Eastern',
client_type CHARACTER VARYING(32) NOT NULL DEFAULT 'STANDARD',
strategy_desc CHARACTER VARYING(15)
)
        WITH (
        OIDS=FALSE
        );


COMMENT ON COLUMN orcl.client.strategy_desc
     IS 'Client Trading Strategy';



CREATE TABLE orcl.committee_meeting_action_items(
action_item_id NUMERIC(38,0) NOT NULL,
meeting_id NUMERIC(38,0),
item_number NUMERIC(38,0),
category CHARACTER VARYING(100),
title CHARACTER VARYING(250),
description BYTEA,
timeline CHARACTER VARYING(50),
status CHARACTER VARYING(25),
recommendation CHARACTER VARYING(1000),
iv BYTEA
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.committee_meeting_country_map(
meeting_id NUMERIC(38,0),
country_code CHARACTER VARYING(2)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.committee_meetings(
meeting_id NUMERIC(38,0) NOT NULL,
meeting_title CHARACTER VARYING(250),
quarter NUMERIC(38,0),
year CHARACTER VARYING(4),
meeting_date TIMESTAMP(0) WITHOUT TIME ZONE,
import_id NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.config(
key CHARACTER VARYING(100),
value CHARACTER VARYING(255)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.countries(
country_code CHARACTER VARYING(2) NOT NULL,
country_name CHARACTER VARYING(50),
wb_country_code CHARACTER VARYING(3),
ifs_country_code CHARACTER VARYING(3),
parent_node_id NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.country_aliases(
country_alias_id NUMERIC(38,0) NOT NULL,
country_alias CHARACTER VARYING(100),
country_code CHARACTER VARYING(2)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.country_hierarchy_nodes(
node_id NUMERIC(38,0) NOT NULL,
node_name CHARACTER VARYING(30),
node_type CHARACTER VARYING(15),
parent_node_id NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.cpi(
wb_country_code CHARACTER VARYING(4) NOT NULL,
year CHARACTER VARYING(4) NOT NULL,
country_name CHARACTER VARYING(40),
ifs_country_code CHARACTER VARYING(3),
cpi_region CHARACTER VARYING(2),
score NUMERIC(38,0),
rank NUMERIC(38,0),
survey_count NUMERIC(38,0),
standard_error NUMERIC(4,1),
lower_confidence NUMERIC(38,0),
upper_confidence NUMERIC(38,0),
min_score NUMERIC(38,0),
max_score NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.cpi_scores(
wb_country_code CHARACTER VARYING(4),
year CHARACTER VARYING(4),
source CHARACTER VARYING(6),
score NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.data_dmp(
entity_uid NUMERIC(38,0) NOT NULL,
as_of_dt NUMERIC(38,0) NOT NULL,
attribute_definition_id NUMERIC(38,0) NOT NULL,
value NUMERIC(38,10) NOT NULL
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.data_dmp_bkp(
entity_uid NUMERIC(38,0) NOT NULL,
as_of_dt NUMERIC(38,0) NOT NULL,
attribute_definition_id NUMERIC(38,0) NOT NULL,
value NUMERIC(38,10) NOT NULL
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.data_type_test(
col1 CHARACTER(1),
col2 CHARACTER(10),
col3 CHARACTER VARYING(10),
col4 CHARACTER VARYING(10),
col5 TEXT,
col6 NUMERIC(38,0),
col7 NUMERIC(38,10),
col8 NUMERIC(8,0),
col9 NUMERIC(10,2),
col10 NUMERIC(11,-2),
col11 NUMERIC(38,5),
col12 DOUBLE PRECISION,
col13 TIMESTAMP(0) WITHOUT TIME ZONE,
col14 TIMESTAMP(6) WITHOUT TIME ZONE,
col15 NUMERIC(10,2),
col16 BYTEA,
col18 TEXT
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.databasechangelog(
id CHARACTER VARYING(255) NOT NULL,
author CHARACTER VARYING(255) NOT NULL,
filename CHARACTER VARYING(255) NOT NULL,
dateexecuted TIMESTAMP(6) WITHOUT TIME ZONE NOT NULL,
orderexecuted NUMERIC(38,0) NOT NULL,
exectype CHARACTER VARYING(10) NOT NULL,
md5sum CHARACTER VARYING(35),
description CHARACTER VARYING(255),
comments CHARACTER VARYING(255),
tag CHARACTER VARYING(255),
liquibase CHARACTER VARYING(20),
contexts CHARACTER VARYING(255),
labels CHARACTER VARYING(255),
deployment_id CHARACTER VARYING(10)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.databasechangeloglock(
id NUMERIC(38,0) NOT NULL,
locked NUMERIC(1,0) NOT NULL,
lockgranted TIMESTAMP(6) WITHOUT TIME ZONE,
lockedby CHARACTER VARYING(255)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.debug_data(
id CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.department(
department_id DOUBLE PRECISION NOT NULL,
department_name CHARACTER VARYING(50),
department_code NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.departments(
department_id NUMERIC(4,0) NOT NULL,
department_name CHARACTER VARYING(30) NOT NULL,
manager_id NUMERIC(6,0),
location_id NUMERIC(4,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.dept(
deptno NUMERIC(2,0) NOT NULL,
dname CHARACTER VARYING(14),
loc CHARACTER VARYING(13)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.dim_person(
person_id DOUBLE PRECISION NOT NULL,
full_name CHARACTER VARYING(60) NOT NULL,
last_name CHARACTER VARYING(30) NOT NULL,
first_name CHARACTER VARYING(30) NOT NULL,
commission_perc NUMERIC(5,2),
comm_per DOUBLE PRECISION
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.disabled_account(
account_id DOUBLE PRECISION NOT NULL,
disabled_date TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL,
disabled_by CHARACTER VARYING(30) NOT NULL,
reason CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.disclosure_case_map(
disclosure_id CHARACTER VARYING(15),
case_number CHARACTER VARYING(15)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.disclosures(
disclosure_id CHARACTER VARYING(15) NOT NULL,
disclosure_date TIMESTAMP(0) WITHOUT TIME ZONE,
contact_person BYTEA,
contact_info BYTEA,
contact_method CHARACTER VARYING(50),
received_by CHARACTER VARYING(40),
subject BYTEA,
disclosure_details BYTEA,
action BYTEA,
followup_action CHARACTER VARYING(1000),
is_allegation CHARACTER(1),
import_id NUMERIC(38,0),
modified_by CHARACTER VARYING(10),
modified_date TIMESTAMP(0) WITHOUT TIME ZONE,
iv BYTEA
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.distributor_country_map(
distributor_id NUMERIC(38,0),
country_code CHARACTER VARYING(2)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.distributors(
distributor_id NUMERIC(38,0) NOT NULL,
distributor_name CHARACTER VARYING(250)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.domains(
domain_code CHARACTER VARYING(15) NOT NULL,
domain_name CHARACTER VARYING(40),
current_period NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.don(
x TEXT
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.eln_sample_result_mv(
sample_key DOUBLE PRECISION,
sampleid CHARACTER VARYING(4000),
scientist CHARACTER VARYING(4000),
materialtype CHARACTER VARYING(4000),
bmsnum CHARACTER VARYING(4000),
excipientname CHARACTER VARYING(4000),
batchnum CHARACTER VARYING(4000),
sapnum CHARACTER VARYING(4000),
otherid CHARACTER VARYING(4000),
note CHARACTER VARYING(4000),
createdby CHARACTER VARYING(4000),
createddate TIMESTAMP(0) WITHOUT TIME ZONE,
modifiedby CHARACTER(1),
status CHARACTER(1),
granulation CHARACTER VARYING(4000),
blend CHARACTER VARYING(4000),
elnnum CHARACTER VARYING(4000),
createdsite CHARACTER(1),
stdbms CHARACTER(1),
sample_desc CHARACTER VARYING(4000),
experimentname CHARACTER VARYING(50),
experimentid DOUBLE PRECISION,
experimentcode CHARACTER VARYING(4000),
repnum DOUBLE PRECISION,
datasrc CHARACTER(3),
calname CHARACTER VARYING(46),
calvalue CHARACTER VARYING(4000)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.eln_sample_result_temp(
sample_key DOUBLE PRECISION,
sampleid CHARACTER VARYING(4000),
scientist CHARACTER VARYING(4000),
materialtype CHARACTER VARYING(4000),
bmsnum CHARACTER VARYING(4000),
excipientname CHARACTER VARYING(4000),
batchnum CHARACTER VARYING(4000),
sapnum CHARACTER VARYING(4000),
otherid CHARACTER VARYING(4000),
note CHARACTER VARYING(4000),
createdby CHARACTER VARYING(4000),
createddate TIMESTAMP(0) WITHOUT TIME ZONE,
modifiedby CHARACTER(1),
status CHARACTER(1),
granulation CHARACTER VARYING(4000),
blend CHARACTER VARYING(4000),
elnnum CHARACTER VARYING(4000),
createdsite CHARACTER(1),
stdbms CHARACTER(1),
sample_desc CHARACTER VARYING(4000),
experimentname CHARACTER VARYING(50),
experimentid DOUBLE PRECISION,
experimentcode CHARACTER VARYING(4000),
repnum DOUBLE PRECISION,
datasrc CHARACTER(3),
calname CHARACTER VARYING(46),
calvalue CHARACTER VARYING(4000)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.emp(
empno NUMERIC(4,0) NOT NULL,
ename CHARACTER VARYING(10),
job CHARACTER VARYING(9),
mgr NUMERIC(4,0),
hiredate TIMESTAMP(0) WITHOUT TIME ZONE,
sal NUMERIC(7,2),
comm NUMERIC(7,2),
deptno NUMERIC(2,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.employee(
employee_id DOUBLE PRECISION NOT NULL,
department_id DOUBLE PRECISION NOT NULL,
employee_type CHARACTER VARYING(20),
salary NUMERIC(15,2),
first_name CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.employee1(
emp_id DOUBLE PRECISION,
emp_name CHARACTER VARYING(20),
email_id CHARACTER VARYING(20),
date_of_birth TIMESTAMP(0) WITHOUT TIME ZONE,
joining_date TIMESTAMP(0) WITHOUT TIME ZONE,
salary NUMERIC(10,2),
comm NUMERIC(10,2),
department CHARACTER VARYING(10),
mobile_no DOUBLE PRECISION,
address CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.employee_bkp(
emp_id NUMERIC(38,10),
emp_name CHARACTER VARYING(20),
email_id CHARACTER VARYING(20),
date_of_birth TIMESTAMP(0) WITHOUT TIME ZONE,
joining_date TIMESTAMP(0) WITHOUT TIME ZONE,
salary NUMERIC(10,2),
comm NUMERIC(10,2),
department CHARACTER VARYING(10),
mobile_no NUMERIC(38,10),
address CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.employee_data(
id DOUBLE PRECISION,
name CHARACTER VARYING(100),
address CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.employee_old(
emp_id DOUBLE PRECISION,
emp_name CHARACTER VARYING(20),
email_id CHARACTER VARYING(20),
date_of_birth TIMESTAMP(0) WITHOUT TIME ZONE,
joining_date TIMESTAMP(0) WITHOUT TIME ZONE,
salary NUMERIC(10,2),
comm NUMERIC(10,2),
department CHARACTER VARYING(10),
mobile_no DOUBLE PRECISION,
address CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.employees(
employee_id NUMERIC(6,0) NOT NULL,
first_name CHARACTER VARYING(20),
last_name CHARACTER VARYING(25) NOT NULL,
email CHARACTER VARYING(25) NOT NULL,
phone_number CHARACTER VARYING(20),
hire_date TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL,
job_id CHARACTER VARYING(10) NOT NULL,
salary NUMERIC(8,2),
commission_pct NUMERIC(2,2),
manager_id NUMERIC(6,0),
department_id NUMERIC(4,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.entity_type(
entitytypeid DOUBLE PRECISION NOT NULL,
entity_type CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.events(
event_id CHARACTER VARYING(50) NOT NULL,
event_type CHARACTER VARYING(25),
initiator CHARACTER VARYING(100),
initiator_country_code CHARACTER VARYING(2),
brand_id NUMERIC(38,0),
meeting_type CHARACTER VARYING(75),
meeting_name CHARACTER VARYING(500),
meeting_format CHARACTER VARYING(250),
meeting_location CHARACTER VARYING(500),
meeting_city CHARACTER VARYING(500),
meeting_country_code CHARACTER VARYING(50),
speaker_count NUMERIC(38,0),
hcp_count NUMERIC(38,0),
start_date TIMESTAMP(0) WITHOUT TIME ZONE,
end_date TIMESTAMP(0) WITHOUT TIME ZONE,
status CHARACTER VARYING(75),
import_id NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.g_user(
guid DOUBLE PRECISION,
fullname CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.import_types(
import_type_code CHARACTER VARYING(20) NOT NULL,
import_type_name CHARACTER VARYING(40)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.imports(
import_id NUMERIC(38,0) NOT NULL,
import_type_code CHARACTER VARYING(20),
file_name CHARACTER VARYING(150),
record_count NUMERIC(38,0),
error_count NUMERIC(38,0),
start_date TIMESTAMP(0) WITHOUT TIME ZONE,
end_date TIMESTAMP(0) WITHOUT TIME ZONE,
user_id CHARACTER VARYING(10)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.invalid_aliases(
invalid_alias_id NUMERIC(38,0) NOT NULL,
alias_type CHARACTER VARYING(25),
alias_text CHARACTER VARYING(250)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.investigations(
investigation_id NUMERIC(38,0) NOT NULL,
period_id NUMERIC(38,0),
merge_job_id NUMERIC(38,0),
case_number CHARACTER VARYING(15),
rise_investigation_number CHARACTER VARYING(15),
brand CHARACTER VARYING(50),
therapeutic_area CHARACTER VARYING(50),
country CHARACTER VARYING(50),
primary_issue BYTEA,
secondary_issue_1 BYTEA,
secondary_issue_2 BYTEA,
allegation_type BYTEA,
allegation_subtype BYTEA,
allegation_summary BYTEA,
status CHARACTER VARYING(10),
investigator CHARACTER VARYING(100),
action BYTEA,
incident_date TIMESTAMP(0) WITHOUT TIME ZONE,
received_date TIMESTAMP(0) WITHOUT TIME ZONE,
opened_date TIMESTAMP(0) WITHOUT TIME ZONE,
closed_date TIMESTAMP(0) WITHOUT TIME ZONE,
primary_outcome BYTEA,
secondary_outcome_1 BYTEA,
secondary_outcome_2 BYTEA,
participant_summary BYTEA,
created_date TIMESTAMP(0) WITHOUT TIME ZONE,
iv BYTEA,
completion_date TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.investigations_dummy(
investigation_id NUMERIC(38,0) NOT NULL,
period_id NUMERIC(38,0),
merge_job_id NUMERIC(38,0),
case_number CHARACTER VARYING(15),
brand CHARACTER VARYING(25),
therapeutic_area CHARACTER VARYING(40),
country CHARACTER VARYING(50),
primary_issue CHARACTER VARYING(50),
secondary_issue_1 CHARACTER VARYING(50),
secondary_issue_2 CHARACTER VARYING(50),
allegation_type CHARACTER VARYING(75),
allegation_subtype CHARACTER VARYING(75),
allegation_summary CHARACTER VARYING(1000),
status CHARACTER VARYING(10),
investigator CHARACTER VARYING(100),
action CHARACTER VARYING(35),
incident_date TIMESTAMP(0) WITHOUT TIME ZONE,
received_date TIMESTAMP(0) WITHOUT TIME ZONE,
opened_date TIMESTAMP(0) WITHOUT TIME ZONE,
closed_date TIMESTAMP(0) WITHOUT TIME ZONE,
primary_outcome CHARACTER VARYING(15),
secondary_outcome_1 CHARACTER VARYING(15),
secondary_outcome_2 CHARACTER VARYING(15),
participant_summary CHARACTER VARYING(750),
created_date TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.liquibase_emp(
empid NUMERIC(38,0) NOT NULL,
empname CHARACTER VARYING(30)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.margin_calc_override(
account_id DOUBLE PRECISION NOT NULL,
broker_asset_id NUMERIC(13,0) NOT NULL,
target_field CHARACTER VARYING(512) NOT NULL,
target_value CHARACTER VARYING(512),
exclusion_code CHARACTER VARYING(1) NOT NULL DEFAULT 'F',
valid_from TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL,
valid_to TIMESTAMP(0) WITHOUT TIME ZONE,
when_entered TIMESTAMP(0) WITHOUT TIME ZONE,
last_updated TIMESTAMP(0) WITHOUT TIME ZONE,
created_by CHARACTER VARYING(128)
)
        WITH (
        OIDS=FALSE
        );


COMMENT ON TABLE orcl.margin_calc_override
     IS 'Stores override values used in margin calculations.';


COMMENT ON COLUMN orcl.margin_calc_override.account_id
     IS 'Account identifier.';


COMMENT ON COLUMN orcl.margin_calc_override.broker_asset_id
     IS 'Broker asset identifier.';


COMMENT ON COLUMN orcl.margin_calc_override.target_field
     IS 'The target field that will be overridden.';


COMMENT ON COLUMN orcl.margin_calc_override.target_value
     IS 'The overriding value to be used.  String values are used as this can be numeric or character data.';


COMMENT ON COLUMN orcl.margin_calc_override.exclusion_code
     IS 'The boolean exclusion code used to determine if a position is marginable (F) or non-marginable (T).';


COMMENT ON COLUMN orcl.margin_calc_override.valid_from
     IS 'The starting date for which the overriding values are valid.';


COMMENT ON COLUMN orcl.margin_calc_override.valid_to
     IS 'The ending date for which the overriding values are valid.';


COMMENT ON COLUMN orcl.margin_calc_override.when_entered
     IS 'The date/time the record was created.';


COMMENT ON COLUMN orcl.margin_calc_override.last_updated
     IS 'The date/time the record was updated.';


COMMENT ON COLUMN orcl.margin_calc_override.created_by
     IS 'The user who created the record.';



CREATE TABLE orcl.merge_jobs(
merge_job_id NUMERIC(38,0) NOT NULL,
domain_code CHARACTER VARYING(15),
period_id NUMERIC(38,0),
start_time TIMESTAMP(0) WITHOUT TIME ZONE,
end_time TIMESTAMP(0) WITHOUT TIME ZONE,
user_id CHARACTER VARYING(10)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.mit_functional_area(
functional_area_code DOUBLE PRECISION NOT NULL,
functional_area_name CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.mv_audit_error_log(
package_name CHARACTER VARYING(32),
procedure_name CHARACTER VARYING(32),
start_time TIMESTAMP(0) WITHOUT TIME ZONE,
end_time TIMESTAMP(0) WITHOUT TIME ZONE,
status CHARACTER(1),
audit_error_msg CHARACTER VARYING(4000),
email_sent CHARACTER VARYING(1)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.mv_config(
config_name CHARACTER VARYING(30),
config_value CHARACTER VARYING(2000),
config_note CHARACTER VARYING(2000)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.mv_tableau_countries(
country_code CHARACTER VARYING(2) NOT NULL,
country_name CHARACTER VARYING(50),
wb_country_code CHARACTER VARYING(3),
ifs_country_code CHARACTER VARYING(3),
sub_clustr CHARACTER VARYING(30),
clustr CHARACTER VARYING(30),
region CHARACTER VARYING(30)
);



CREATE TABLE orcl.observations(
observation_id NUMERIC(38,0) NOT NULL,
period_id NUMERIC(38,0),
merge_job_id NUMERIC(38,0),
source_type CHARACTER VARYING(20),
source_id CHARACTER VARYING(25),
case_number CHARACTER VARYING(15),
country CHARACTER VARYING(50),
brand CHARACTER VARYING(50),
therapeutic_area CHARACTER VARYING(50),
observation BYTEA,
observation_date TIMESTAMP(0) WITHOUT TIME ZONE,
action BYTEA,
action_date TIMESTAMP(0) WITHOUT TIME ZONE,
created_date TIMESTAMP(0) WITHOUT TIME ZONE,
iv BYTEA,
allegation_type BYTEA,
allegation_subtype BYTEA
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.observations_dummy(
observation_id NUMERIC(38,0) NOT NULL,
period_id NUMERIC(38,0),
merge_job_id NUMERIC(38,0),
case_number CHARACTER VARYING(15),
country CHARACTER VARYING(50),
brand CHARACTER VARYING(25),
therapeutic_area CHARACTER VARYING(40),
observation CHARACTER VARYING(50),
observation_date TIMESTAMP(0) WITHOUT TIME ZONE,
action CHARACTER VARYING(35),
action_date TIMESTAMP(0) WITHOUT TIME ZONE,
other_fields TEXT,
created_date TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.outlier_type_detail(
detail_id DOUBLE PRECISION NOT NULL,
start_date TIMESTAMP(6) WITHOUT TIME ZONE,
end_date TIMESTAMP(6) WITHOUT TIME ZONE,
rule_type_id DOUBLE PRECISION,
metric_type CHARACTER VARYING(100),
status CHARACTER VARYING(50),
outlier_type_code CHARACTER VARYING(50),
market_code CHARACTER VARYING(25),
country_code CHARACTER VARYING(25),
tableau_dashboard_src CHARACTER VARYING(200),
tableau_view CHARACTER VARYING(200),
created_by CHARACTER VARYING(30),
created_date TIMESTAMP(6) WITHOUT TIME ZONE,
updated_by CHARACTER VARYING(30),
updated_date TIMESTAMP(6) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p1_report_parameters(
report_parameter_id DOUBLE PRECISION NOT NULL,
report_name_id DOUBLE PRECISION,
condition CHARACTER VARYING(65),
strength CHARACTER VARYING(254),
container CHARACTER VARYING(65),
protocol_level CHARACTER VARYING(25),
profile_timepoint CHARACTER VARYING(60),
timepoint_type CHARACTER VARYING(15),
status CHARACTER VARYING(15),
updated_on TIMESTAMP(0) WITHOUT TIME ZONE,
last_success_on TIMESTAMP(0) WITHOUT TIME ZONE,
image_file BYTEA,
excel_file BYTEA,
condition_string CHARACTER VARYING(65),
protocol CHARACTER VARYING(64)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_accupyc_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
volumemean CHARACTER VARYING(20),
truedensitymean CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_angleofrepose_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
angofrep CHARACTER VARYING(20),
temp_value CHARACTER VARYING(20),
humidity1_value CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_betsurfacearea_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
multipointsurfaceareamean CHARACTER VARYING(20),
singlepointsurfaceareamean CHARACTER VARYING(20),
avgporevolmean CHARACTER VARYING(20),
avgporewidthmean CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_material_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
name CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mercuryporosity_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
intrusionvolume CHARACTER VARYING(20),
totalporearea CHARACTER VARYING(20),
medianporediameter CHARACTER VARYING(20),
mediamporediameter2 CHARACTER VARYING(20),
averageporediameter CHARACTER VARYING(20),
hysteresis CHARACTER VARYING(20),
porosity CHARACTER VARYING(20),
bulkdensity CHARACTER VARYING(20),
skeletaldensity CHARACTER VARYING(20),
lowrangeintvol CHARACTER VARYING(20),
highrangeintvol CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbbulktapdensity_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
bulkdensity1 CHARACTER VARYING(20),
bulkdensity2 CHARACTER VARYING(20),
tapdensity1 CHARACTER VARYING(20),
tapdensity2 CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbcrystallization_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
antisolventrate CHARACTER VARYING(20),
additiontemp CHARACTER VARYING(20),
agitationrate CHARACTER VARYING(20),
agitator CHARACTER VARYING(20),
antisolventsys CHARACTER VARYING(20),
batchsize CHARACTER VARYING(20),
batchreactstream CHARACTER VARYING(20),
coolingdistemp CHARACTER VARYING(20),
coolingisotemp CHARACTER VARYING(20),
coolingrate CHARACTER VARYING(20),
crystaltype CHARACTER VARYING(20),
distilltime CHARACTER VARYING(20),
distconsttemp CHARACTER VARYING(20),
distconstvolume CHARACTER VARYING(20),
distisovolume CHARACTER VARYING(20),
dv50 CHARACTER VARYING(20),
finalsolvent CHARACTER VARYING(20),
geometry CHARACTER VARYING(20),
constructionmaterial CHARACTER VARYING(20),
reactoroccupancyiso CHARACTER VARYING(20),
reactoroccupancyt0 CHARACTER VARYING(20),
rssaturation CHARACTER VARYING(20),
seed CHARACTER VARYING(20),
seedbatch CHARACTER VARYING(20),
seedtemp CHARACTER VARYING(20),
solventsystem CHARACTER VARYING(20),
diststartvol CHARACTER VARYING(20),
slurrytemp CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbdisintegration_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
disintegtimefirsttab CHARACTER VARYING(20),
disintegrationtimelasttab CHARACTER VARYING(20),
disintegrationtimetab1 CHARACTER VARYING(20),
disintegrationtimetab2 CHARACTER VARYING(20),
disintegrationtimetab3 CHARACTER VARYING(20),
disintegrationtimetab4 CHARACTER VARYING(20),
disintegrationtimetab5 CHARACTER VARYING(20),
distimeunits1 CHARACTER VARYING(20),
distimeunits2 CHARACTER VARYING(20),
distimeunits3 CHARACTER VARYING(20),
distimeunits4 CHARACTER VARYING(20),
distimeunits5 CHARACTER VARYING(20),
distimeunits6 CHARACTER VARYING(20),
rh CHARACTER VARYING(20),
temp CHARACTER VARYING(20),
tablet1wt CHARACTER VARYING(20),
tablet2wt CHARACTER VARYING(20),
tablet3wt CHARACTER VARYING(20),
tablet4wt CHARACTER VARYING(20),
tablet5wt CHARACTER VARYING(20),
tablet6wt CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbdrying_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
batchsize CHARACTER VARYING(20),
dryermaterial CHARACTER VARYING(20),
dryertype CHARACTER VARYING(20),
dryertemp CHARACTER VARYING(20),
humidity CHARACTER VARYING(20),
initbedheight CHARACTER VARYING(20),
maxdryerjackettemp CHARACTER VARYING(20),
nsteamsweep CHARACTER VARYING(20),
nsweeprate CHARACTER VARYING(20),
reshufflescount CHARACTER VARYING(20),
trayscount CHARACTER VARYING(20),
unloading CHARACTER VARYING(20),
vacuum CHARACTER VARYING(20),
trayweight CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbelectronmicroscopy_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
instrumentused CHARACTER VARYING(20),
observationsize CHARACTER VARYING(20),
particlehabit CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbfiltration_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
apibatchsize CHARACTER VARYING(20),
cakeheight CHARACTER VARYING(20),
cakeresistance CHARACTER VARYING(20),
deliquoringtime CHARACTER VARYING(20),
filtermaterial CHARACTER VARYING(20),
filtrationarea CHARACTER VARYING(20),
filtrationflux CHARACTER VARYING(20),
filtrationtime CHARACTER VARYING(20),
filtrationvol CHARACTER VARYING(20),
filtrationtype CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbgranulefriability1_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
temperature CHARACTER VARYING(20),
rh CHARACTER VARYING(20),
replicatename2 CHARACTER VARYING(20),
friability CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbjetmilling_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
crystchange CHARACTER VARYING(20),
milldate CHARACTER VARYING(20),
feedbatch CHARACTER VARYING(20),
feedrate CHARACTER VARYING(20),
feedertype CHARACTER VARYING(20),
regtype CHARACTER VARYING(20),
inputenergy CHARACTER VARYING(20),
feedmass CHARACTER VARYING(20),
productmass CHARACTER VARYING(20),
millpressure CHARACTER VARYING(20),
millused CHARACTER VARYING(20),
millsite CHARACTER VARYING(20),
projectphase CHARACTER VARYING(20),
purpose CHARACTER VARYING(20),
retaininmill CHARACTER VARYING(20),
venturipressure CHARACTER VARYING(20),
yield CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdblaserdiffraction_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
perctvolume CHARACTER VARYING(20),
rsdvolume CHARACTER VARYING(20),
rsdd4_3 CHARACTER VARYING(20),
rsdd10 CHARACTER VARYING(20),
rsdd50 CHARACTER VARYING(20),
rsdd90 CHARACTER VARYING(20),
rsdspan CHARACTER VARYING(20),
rsdtransmission CHARACTER VARYING(20),
avgvolume CHARACTER VARYING(20),
avgd4_3 CHARACTER VARYING(20),
avgd10 CHARACTER VARYING(20),
avgd50 CHARACTER VARYING(20),
avgd90 CHARACTER VARYING(20),
avgspan CHARACTER VARYING(20),
avgtransmission CHARACTER VARYING(20),
below100mic CHARACTER VARYING(20),
below200mic CHARACTER VARYING(20),
below30mic CHARACTER VARYING(20),
below50mic CHARACTER VARYING(20),
callpointtime CHARACTER VARYING(20),
d3_2 CHARACTER VARYING(20),
d4_3 CHARACTER VARYING(20),
d10 CHARACTER VARYING(20),
d50 CHARACTER VARYING(20),
d90 CHARACTER VARYING(20),
d95 CHARACTER VARYING(20),
dateofanalysis CHARACTER VARYING(20),
filename CHARACTER VARYING(20),
max CHARACTER VARYING(20),
meanparticlesize CHARACTER VARYING(20),
meansquareweight CHARACTER VARYING(20),
median CHARACTER VARYING(20),
methodref CHARACTER VARYING(20),
methodversion CHARACTER VARYING(20),
min CHARACTER VARYING(20),
particalsizellsresults CHARACTER VARYING(20),
particalsizells CHARACTER VARYING(20),
span CHARACTER VARYING(20),
transmission CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbsampleinfo_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
sampleid DOUBLE PRECISION,
vaultid DOUBLE PRECISION
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbsampleinformation_obj(
vaultid DOUBLE PRECISION,
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
batchnumber DOUBLE PRECISION,
sampleid DOUBLE PRECISION,
sampletype DOUBLE PRECISION,
isbmsapi CHARACTER VARYING(100),
blend CHARACTER VARYING(100),
sapnumber DOUBLE PRECISION,
bmsbmtnumber DOUBLE PRECISION,
ehsband CHARACTER VARYING(100),
excipientname CHARACTER VARYING(100),
granulationtype CHARACTER VARYING(100),
materialtype CHARACTER VARYING(100),
otherid DOUBLE PRECISION,
note CHARACTER VARYING(100),
creationdate TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbsieveanalysis_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
id DOUBLE PRECISION,
diameter DOUBLE PRECISION,
retainedpercent DOUBLE PRECISION
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbsieveanalysisbulkden_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
massflowrate1 CHARACTER VARYING(20),
massflowrate2 CHARACTER VARYING(20),
massflowrate3 CHARACTER VARYING(20),
calbulkdensityrep1 CHARACTER VARYING(20),
calbulkdensityrep2 CHARACTER VARYING(20),
samplename CHARACTER VARYING(20),
bmsbmtnumber CHARACTER VARYING(20),
batchnumber CHARACTER VARYING(20),
sampletype CHARACTER VARYING(20),
geometricmean CHARACTER VARYING(20),
geometricstdev CHARACTER VARYING(20),
arithmeticmean CHARACTER VARYING(20),
arithmeticstdev CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbstylcamapi_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
actualdwelltime CHARACTER VARYING(20),
compactionpressure CHARACTER VARYING(20),
ejectionforce CHARACTER VARYING(20),
porosity CHARACTER VARYING(20),
recovery CHARACTER VARYING(20),
solidfraction CHARACTER VARYING(20),
tensilestrength CHARACTER VARYING(20),
theoreticaldwelltime CHARACTER VARYING(20),
yieldpressure CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_mpdbtabletfriability1_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
friabilityafter100revs CHARACTER VARYING(2000),
observationsafter100revs CHARACTER VARYING(2000),
friabilityafter400revs CHARACTER VARYING(2000),
observationsafter400revs CHARACTER VARYING(2000),
tabletweight DOUBLE PRECISION,
numberoftablets DOUBLE PRECISION,
temperature DOUBLE PRECISION,
rh DOUBLE PRECISION,
scaleused DOUBLE PRECISION,
friabulatorused DOUBLE PRECISION
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_particlesize_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
gpsdv10 CHARACTER VARYING(20),
gpsdv50 CHARACTER VARYING(20),
gpsdv90 CHARACTER VARYING(20),
apsdn10 CHARACTER VARYING(20),
apsdn50 CHARACTER VARYING(20),
apsdn90 CHARACTER VARYING(20),
apeen10 CHARACTER VARYING(20),
apeen50 CHARACTER VARYING(20),
apeen90 CHARACTER VARYING(20),
gpeev10 CHARACTER VARYING(20),
gpeev50 CHARACTER VARYING(20),
gpeev90 CHARACTER VARYING(20),
agglomerated CHARACTER VARYING(20),
noofparticles CHARACTER VARYING(20),
alin10 CHARACTER VARYING(20),
alin50 CHARACTER VARYING(20),
alin90 CHARACTER VARYING(20),
gliv10 CHARACTER VARYING(20),
gliv50 CHARACTER VARYING(20),
gliv90 CHARACTER VARYING(20),
alln10 CHARACTER VARYING(20),
alln50 CHARACTER VARYING(20),
alln90 CHARACTER VARYING(20),
gllv10 CHARACTER VARYING(20),
gllv50 CHARACTER VARYING(20),
gllv90 CHARACTER VARYING(20),
awwn10 CHARACTER VARYING(20),
awwn50 CHARACTER VARYING(20),
awwn90 CHARACTER VARYING(20),
gwwv10 CHARACTER VARYING(20),
gwwv50 CHARACTER VARYING(20),
gwwv90 CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_powderrheometry_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
prescreenconducted CHARACTER VARYING(20),
temperature CHARACTER VARYING(20),
relativehumidity CHARACTER VARYING(20),
bd CHARACTER VARYING(20),
bfe CHARACTER VARYING(20),
si CHARACTER VARYING(20),
fri CHARACTER VARYING(20),
se CHARACTER VARYING(20),
instrumentused CHARACTER VARYING(20),
samplevesselused CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_shearcell_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
temperature CHARACTER VARYING(20),
relativehumidity CHARACTER VARYING(20),
uys CHARACTER VARYING(20),
mps CHARACTER VARYING(20),
c CHARACTER VARYING(20),
ffc CHARACTER VARYING(20),
aif CHARACTER VARYING(20),
aife CHARACTER VARYING(20),
aifs CHARACTER VARYING(20),
preconsolidationforce CHARACTER VARYING(20),
instrumentused CHARACTER VARYING(20),
samplevesselused CHARACTER VARYING(20),
mcs CHARACTER VARYING(20),
reip CHARACTER VARYING(20),
compresseddensity CHARACTER VARYING(20),
wallfrictionangle CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.p_surfaceenergyanalyzer_obj(
ownerid DOUBLE PRECISION,
containerid DOUBLE PRECISION,
parentid DOUBLE PRECISION,
vaultid DOUBLE PRECISION,
dispersivesurfaceenergy5 CHARACTER VARYING(20),
freeenergyethylacetate CHARACTER VARYING(20),
freeenergychloroform CHARACTER VARYING(20),
specificsurfaceenergy CHARACTER VARYING(20),
workofcohesion CHARACTER VARYING(20)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.partition_group(
group_name CHARACTER VARYING(30) NOT NULL,
system_name CHARACTER VARYING(30) NOT NULL,
table_name CHARACTER VARYING(60) NOT NULL,
source_name CHARACTER VARYING(200) NOT NULL
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.partition_switch(
group_name CHARACTER VARYING(30) NOT NULL,
active_partition NUMERIC(1,0) NOT NULL,
start_timestamp TIMESTAMP(0) WITHOUT TIME ZONE,
finish_timestamp TIMESTAMP(0) WITHOUT TIME ZONE,
refresh_interval NUMERIC(6,0) NOT NULL,
error_message CHARACTER VARYING(1000)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.pdlims_sample_result_mv_tbl(
sample_key DOUBLE PRECISION,
sampleid CHARACTER VARYING(40),
sample_desc CHARACTER VARYING(1),
scientist CHARACTER VARYING(1),
materialtype CHARACTER VARYING(75),
bmsnum CHARACTER VARYING(90),
excipientname CHARACTER VARYING(1),
batchnum CHARACTER VARYING(150),
sapnum CHARACTER VARYING(1),
otherid CHARACTER VARYING(120),
note CHARACTER VARYING(750),
createddate TIMESTAMP(0) WITHOUT TIME ZONE,
createdby CHARACTER VARYING(36),
modifiedby CHARACTER VARYING(1),
modifieddate TIMESTAMP(0) WITHOUT TIME ZONE,
status CHARACTER VARYING(1),
granulation CHARACTER VARYING(1),
blend CHARACTER VARYING(1),
elnnum CHARACTER VARYING(1),
createdsite CHARACTER VARYING(1),
stdbms CHARACTER VARYING(1),
experimentname CHARACTER VARYING(90),
name CHARACTER VARYING(120),
calvalue CHARACTER VARYING(762),
repnum DOUBLE PRECISION,
datasrc CHARACTER VARYING(6)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.pdmp_experiment_cal_names(
experiment_type_id NUMERIC(38,0),
cal_name CHARACTER VARYING(150),
cal_display_name CHARACTER VARYING(100),
active CHARACTER VARYING(1),
column_order NUMERIC(38,0),
cal_id NUMERIC(38,0),
unit CHARACTER VARYING(20),
isbiogrpy CHARACTER VARYING(1),
isrequired CHARACTER VARYING(1),
default_value CHARACTER VARYING(100),
signnum NUMERIC(38,0),
allow_export CHARACTER VARYING(1),
enumeratio_list CHARACTER VARYING(1000),
data_type CHARACTER VARYING(30)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.pdmp_experiment_calcul_data(
sample_id NUMERIC(38,0),
experiment_type_id NUMERIC(38,0),
cal_data_name CHARACTER VARYING(100),
cal_data_value CHARACTER VARYING(350),
created_date TIMESTAMP(0) WITHOUT TIME ZONE,
created_by CHARACTER VARYING(15),
replicate NUMERIC(38,0),
cal_data_id CHARACTER VARYING(100),
cal_id NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.pdmp_experiment_type(
experiment_type_id NUMERIC(38,0) NOT NULL,
experiment_type_name CHARACTER VARYING(50) NOT NULL,
created_by CHARACTER VARYING(30),
created_date TIMESTAMP(0) WITHOUT TIME ZONE,
modified_by CHARACTER VARYING(30),
modified_date TIMESTAMP(0) WITHOUT TIME ZONE,
active CHARACTER(1),
experiment_method_name CHARACTER VARYING(50),
description CHARACTER VARYING(500),
advanced CHARACTER VARYING(10),
sop CHARACTER VARYING(1000),
experiment_code CHARACTER VARYING(6) NOT NULL,
experiment_display_name CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.pdmp_sample(
sample_id NUMERIC(38,0),
scientist CHARACTER VARYING(50),
material_type CHARACTER VARYING(30),
bmsnum CHARACTER VARYING(30),
batchnum CHARACTER VARYING(50),
sapnum CHARACTER VARYING(20),
otherid CHARACTER VARYING(50),
note CHARACTER VARYING(600),
created_by CHARACTER VARYING(50),
created_date TIMESTAMP(0) WITHOUT TIME ZONE,
modified_by CHARACTER VARYING(50),
modified_date TIMESTAMP(0) WITHOUT TIME ZONE,
active CHARACTER(1),
granulation CHARACTER VARYING(20),
excipientname CHARACTER VARYING(50),
blend CHARACTER VARYING(30),
elnnum CHARACTER VARYING(30),
created_site CHARACTER VARYING(40),
tas_number CHARACTER VARYING(30),
stand_bms CHARACTER(1),
sample_desc CHARACTER VARYING(500)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.pdmp_sample_experiment_type(
sample_id NUMERIC(38,0),
experiment_type_id NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.pdmp_sample_result_mv(
sample_key NUMERIC(38,0),
scientist CHARACTER VARYING(50),
materialtype CHARACTER VARYING(30),
bmsnum CHARACTER VARYING(30),
excipientname CHARACTER VARYING(50),
batchnum CHARACTER VARYING(50),
sapnum CHARACTER VARYING(20),
otherid CHARACTER VARYING(50),
note CHARACTER VARYING(600),
createdby CHARACTER VARYING(50),
createddate TIMESTAMP(0) WITHOUT TIME ZONE,
modifiedby CHARACTER VARYING(50),
modifieddate TIMESTAMP(0) WITHOUT TIME ZONE,
status CHARACTER(1),
granulation CHARACTER VARYING(20),
elnnum CHARACTER VARYING(30),
blend CHARACTER VARYING(30),
createdsite CHARACTER VARYING(40),
stdbms CHARACTER(1),
sample_desc CHARACTER VARYING(500),
experimentname CHARACTER VARYING(50) NOT NULL,
experimentid NUMERIC(38,0) NOT NULL,
experimentcode CHARACTER VARYING(6) NOT NULL,
calname CHARACTER VARYING(100),
calvalue CHARACTER VARYING(350),
repnum NUMERIC(38,0),
datasrc CHARACTER(4)
);



CREATE TABLE orcl.periods(
period_id NUMERIC(38,0) NOT NULL,
period_code CHARACTER VARYING(20),
period_name CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.profit_center_flat_hier_bk(
profit_center_code CHARACTER VARYING(5),
profit_center_name CHARACTER VARYING(25),
level_1 CHARACTER VARYING(25),
level_2 CHARACTER VARYING(25),
level_3 CHARACTER VARYING(25),
level_4 CHARACTER VARYING(25),
level_5 CHARACTER VARYING(25),
level_6 CHARACTER VARYING(25),
level_7 CHARACTER VARYING(25),
level_8 CHARACTER VARYING(25),
level_9 CHARACTER VARYING(25),
level_10 CHARACTER VARYING(25),
level_11 CHARACTER VARYING(25)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.profit_center_flat_hierarchy(
profit_center_code CHARACTER VARYING(5) NOT NULL,
profit_center_name CHARACTER VARYING(100),
level_1 CHARACTER VARYING(100),
level_2 CHARACTER VARYING(100),
level_3 CHARACTER VARYING(100),
level_4 CHARACTER VARYING(100),
level_5 CHARACTER VARYING(100),
level_6 CHARACTER VARYING(100),
level_7 CHARACTER VARYING(100),
level_8 CHARACTER VARYING(100),
level_9 CHARACTER VARYING(100),
level_10 CHARACTER VARYING(100),
level_11 CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.qr_disbursement_samples(
disbursement_sample_id NUMERIC(38,0) NOT NULL,
review_number CHARACTER VARYING(10),
sample_number CHARACTER VARYING(10),
quarterly_review_id NUMERIC(38,0),
vendor_sap_id CHARACTER VARYING(10),
vendor_name CHARACTER VARYING(50),
sap_doc_number CHARACTER VARYING(10),
material_type CHARACTER VARYING(50),
material_type_risk CHARACTER VARYING(10),
pre_approval_doc CHARACTER VARYING(50),
pre_approval_doc_ok CHARACTER(1),
contract_order_doc CHARACTER VARYING(50),
contract_order_doc_ok CHARACTER(1),
proof_of_delivery_doc CHARACTER VARYING(50),
proof_of_delivery_doc_ok CHARACTER(1),
payment_doc CHARACTER VARYING(50),
payment_doc_ok CHARACTER(1),
accounting_doc CHARACTER VARYING(50),
accounting_doc_ok CHARACTER(1),
observation BYTEA,
comments BYTEA,
proposed_action BYTEA,
import_id NUMERIC(38,0),
iv BYTEA
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.qr_te_samples(
te_sample_id NUMERIC(38,0) NOT NULL,
sample_report_number CHARACTER VARYING(10),
lrli_sample_number CHARACTER VARYING(10),
quarterly_review_id NUMERIC(38,0),
te_report_id CHARACTER VARYING(25),
report_name BYTEA,
employee_id BYTEA,
employee_name BYTEA,
tx_date TIMESTAMP(0) WITHOUT TIME ZONE,
expense_type CHARACTER VARYING(50),
expense_type_risk CHARACTER VARYING(10),
purpose CHARACTER VARYING(50),
approved_amount NUMERIC(10,2),
doc_type CHARACTER VARYING(100),
doc_ok CHARACTER(1),
beneficiary_doc CHARACTER VARYING(250),
beneficiary_doc_ok CHARACTER(1),
context CHARACTER VARYING(250),
context_ok CHARACTER(1),
observation BYTEA,
comments BYTEA,
proposed_action BYTEA,
import_id NUMERIC(38,0),
iv BYTEA
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.quarterly_reviews(
quarterly_review_id NUMERIC(38,0) NOT NULL,
quarter NUMERIC(38,0),
year CHARACTER VARYING(4),
country_code CHARACTER VARYING(2),
review_type CHARACTER VARYING(13),
reviewed_by CHARACTER VARYING(150),
reviewed_date TIMESTAMP(0) WITHOUT TIME ZONE
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.rise_field_sales_escalations(
escalation_number CHARACTER VARYING(25) NOT NULL,
escalation_type CHARACTER VARYING(50),
escalation_form CHARACTER VARYING(100),
bmsid BYTEA,
first_name BYTEA,
last_name BYTEA,
manager_bmsid BYTEA,
manager_first_name BYTEA,
manager_last_name BYTEA,
activity_type CHARACTER VARYING(50),
monitoring_type CHARACTER VARYING(25),
business_function CHARACTER VARYING(25),
hrg_bmsid CHARACTER VARYING(10),
hrg_first_name CHARACTER VARYING(50),
hrg_last_name CHARACTER VARYING(50),
is_reportable CHARACTER(1),
discipline_action BYTEA,
mgr_notified_date TIMESTAMP(0) WITHOUT TIME ZONE,
expected_response_date TIMESTAMP(0) WITHOUT TIME ZONE,
discipline_date TIMESTAMP(0) WITHOUT TIME ZONE,
discipline_doc BYTEA,
additional_doc BYTEA,
comments BYTEA,
status CHARACTER VARYING(10),
program_number BYTEA,
program_title BYTEA,
program_date TIMESTAMP(0) WITHOUT TIME ZONE,
testing_period CHARACTER VARYING(10),
brand CHARACTER VARYING(50),
therapeutic_area CHARACTER VARYING(50),
findings BYTEA,
sub_findings BYTEA,
violated_doc BYTEA,
import_id NUMERIC(38,0),
iv BYTEA
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.rise_investigations(
rise_investigation_number CHARACTER VARYING(15) NOT NULL,
case_number CHARACTER VARYING(15),
location CHARACTER VARYING(50),
therapeutic_area CHARACTER VARYING(50),
allegation_type BYTEA,
allegation_subtype BYTEA,
allegation_summary BYTEA,
facts BYTEA,
is_reportable CHARACTER(1),
received_date TIMESTAMP(0) WITHOUT TIME ZONE,
status CHARACTER VARYING(10),
investigator CHARACTER VARYING(100),
action BYTEA,
closed_date TIMESTAMP(0) WITHOUT TIME ZONE,
import_id NUMERIC(38,0),
iv BYTEA
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.rise_speaker_non_compliances(
non_compliance_id NUMERIC(38,0) NOT NULL,
speaker_type CHARACTER VARYING(10),
speaker_id BYTEA,
speaker_first_name BYTEA,
speaker_last_name BYTEA,
allegation_date TIMESTAMP(0) WITHOUT TIME ZONE,
program_number BYTEA,
program_date TIMESTAMP(0) WITHOUT TIME ZONE,
hcp_first_contract_date TIMESTAMP(0) WITHOUT TIME ZONE,
hcp_effective_start_date TIMESTAMP(0) WITHOUT TIME ZONE,
hcp_effective_end_date TIMESTAMP(0) WITHOUT TIME ZONE,
latest_training_date TIMESTAMP(0) WITHOUT TIME ZONE,
brand CHARACTER VARYING(50),
therapeutic_area CHARACTER VARYING(50),
alliance_partner BYTEA,
reported_by BYTEA,
non_compliance_type BYTEA,
is_reportable CHARACTER(1),
description BYTEA,
summary BYTEA,
initial_report_date TIMESTAMP(0) WITHOUT TIME ZONE,
final_report_date TIMESTAMP(0) WITHOUT TIME ZONE,
closed_date TIMESTAMP(0) WITHOUT TIME ZONE,
initial_action BYTEA,
final_action BYTEA,
future_programs_scheduled CHARACTER VARYING(3),
deactivated_date TIMESTAMP(0) WITHOUT TIME ZONE,
reactivated_date TIMESTAMP(0) WITHOUT TIME ZONE,
alliance_partner_action BYTEA,
summary_doc BYTEA,
status CHARACTER VARYING(10),
import_id NUMERIC(38,0),
iv BYTEA
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.roles(
role_code CHARACTER VARYING(50) NOT NULL,
role_name CHARACTER VARYING(50)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.rule_type(
rule_type_id DOUBLE PRECISION NOT NULL,
rule_type_name CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.sample_result_mv(
sample_key DOUBLE PRECISION,
sampleid DOUBLE PRECISION,
scientist CHARACTER VARYING(4000),
materialtype CHARACTER VARYING(4000),
bmsnum CHARACTER VARYING(4000),
excipientname CHARACTER VARYING(4000),
batchnum CHARACTER VARYING(4000),
sapnum CHARACTER VARYING(4000),
otherid CHARACTER VARYING(4000),
note CHARACTER VARYING(4000),
createdby CHARACTER VARYING(4000),
createddate TIMESTAMP(0) WITHOUT TIME ZONE,
modifiedby CHARACTER VARYING(50),
modifieddate TIMESTAMP(0) WITHOUT TIME ZONE,
status CHARACTER VARYING(1),
granulation CHARACTER VARYING(4000),
elnnum CHARACTER VARYING(4000),
blend CHARACTER VARYING(4000),
createdsite CHARACTER VARYING(40),
stdbms CHARACTER VARYING(1),
sample_desc CHARACTER VARYING(4000),
experimentname CHARACTER VARYING(90),
experimentid DOUBLE PRECISION,
experimentcode CHARACTER VARYING(4000),
calname CHARACTER VARYING(4000),
calvalue CHARACTER VARYING(4000),
repnum DOUBLE PRECISION,
datasrc CHARACTER VARYING(6)
);



CREATE TABLE orcl.sqln_explain_plan(
statement_id CHARACTER VARYING(30),
timestamp TIMESTAMP(0) WITHOUT TIME ZONE,
remarks CHARACTER VARYING(80),
operation CHARACTER VARYING(30),
options CHARACTER VARYING(30),
object_node CHARACTER VARYING(128),
object_owner CHARACTER VARYING(30),
object_name CHARACTER VARYING(30),
object_instance NUMERIC(38,0),
object_type CHARACTER VARYING(30),
optimizer CHARACTER VARYING(255),
search_columns NUMERIC(38,0),
id NUMERIC(38,0),
parent_id NUMERIC(38,0),
position NUMERIC(38,0),
cost NUMERIC(38,0),
cardinality NUMERIC(38,0),
bytes NUMERIC(38,0),
other_tag CHARACTER VARYING(255),
partition_start CHARACTER VARYING(255),
partition_stop CHARACTER VARYING(255),
partition_id NUMERIC(38,0),
other TEXT,
distribution CHARACTER VARYING(30)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.system_log(
log_id NUMERIC(38,0),
time TIMESTAMP(0) WITHOUT TIME ZONE,
log_level CHARACTER VARYING(10),
procedure_name CHARACTER VARYING(30),
line_number NUMERIC(38,0),
message CHARACTER VARYING(4000)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.t_people_hacs(
partition_id NUMERIC(1,0) NOT NULL,
login_name CHARACTER VARYING(255),
first_name CHARACTER VARYING(255),
last_name CHARACTER VARYING(255),
bmsid CHARACTER VARYING(255),
organization CHARACTER VARYING(255),
department CHARACTER VARYING(255),
title CHARACTER VARYING(255),
phone_number CHARACTER VARYING(255),
password CHARACTER VARYING(255),
email_id CHARACTER VARYING(255),
start_date CHARACTER VARYING(255),
end_date CHARACTER VARYING(255),
updatedate CHARACTER VARYING(255),
bmsentaccountstatus CHARACTER VARYING(255),
bmspersonassociation CHARACTER VARYING(255)
)
    PARTITION BY LIST (partition_id)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.t_people_hacs_1(
partition_id_new NUMERIC(1,0),
partition_id NUMERIC(1,0) NOT NULL,
login_name CHARACTER VARYING(255),
first_name CHARACTER VARYING(255),
last_name CHARACTER VARYING(255),
bmsid CHARACTER VARYING(255),
organization CHARACTER VARYING(255),
department CHARACTER VARYING(255),
title CHARACTER VARYING(255),
phone_number CHARACTER VARYING(255),
password CHARACTER VARYING(255),
email_id CHARACTER VARYING(255),
start_date CHARACTER VARYING(255),
end_date CHARACTER VARYING(255),
updatedate CHARACTER VARYING(255),
bmsentaccountstatus CHARACTER VARYING(255),
bmspersonassociation CHARACTER VARYING(255)
)
    PARTITION BY LIST (partition_id)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.table1(
id NUMERIC(38,0),
name CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.tbl_constraint(
id DOUBLE PRECISION,
name CHARACTER VARYING(200),
address CHARACTER VARYING(500),
salary DOUBLE PRECISION
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.tbl_number(
number_type DOUBLE PRECISION,
number_precision NUMERIC(15,0),
number_decimal NUMERIC(10,2),
double_type DOUBLE PRECISION,
float_type DOUBLE PRECISION,
varchar_type CHARACTER VARYING(50)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.te_spend_metrics(
metric_number NUMERIC(38,0) NOT NULL,
bucket CHARACTER VARYING(100),
name CHARACTER VARYING(100),
description CHARACTER VARYING(500)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.territories(
territory_code CHARACTER VARYING(10) NOT NULL,
country_code CHARACTER VARYING(2),
territory_name CHARACTER VARYING(250)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.test(
c1 DOUBLE PRECISION,
c2 DOUBLE PRECISION,
c3 DOUBLE PRECISION
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.therapeutic_areas(
therapeutic_area_code CHARACTER VARYING(25) NOT NULL,
therapeutic_area_name CHARACTER VARYING(50)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_brand_map(
user_id CHARACTER VARYING(10),
brand_id NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_brand_map_audit(
audit_id NUMERIC(38,0),
audit_date TIMESTAMP(0) WITHOUT TIME ZONE,
old_user_id CHARACTER VARYING(10),
old_brand_id NUMERIC(38,0),
new_user_id CHARACTER VARYING(10),
new_brand_id NUMERIC(38,0),
modified_by_os_user CHARACTER VARYING(255),
modified_by_db_user CHARACTER VARYING(30)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_country_flat_map(
user_id CHARACTER VARYING(10),
country_code CHARACTER VARYING(2)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_country_map(
user_id CHARACTER VARYING(10),
country_code CHARACTER VARYING(2)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_country_map_audit(
audit_id NUMERIC(38,0),
audit_date TIMESTAMP(0) WITHOUT TIME ZONE,
old_user_id CHARACTER VARYING(10),
old_country_code CHARACTER VARYING(2),
new_user_id CHARACTER VARYING(10),
new_country_code CHARACTER VARYING(2),
modified_by_os_user CHARACTER VARYING(255),
modified_by_db_user CHARACTER VARYING(30)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_country_node_map(
user_id CHARACTER VARYING(10),
node_id NUMERIC(38,0)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_country_node_map_audit(
audit_id NUMERIC(38,0),
audit_date TIMESTAMP(0) WITHOUT TIME ZONE,
old_user_id CHARACTER VARYING(10),
old_node_id NUMERIC(38,0),
new_user_id CHARACTER VARYING(10),
new_node_id NUMERIC(38,0),
modified_by_os_user CHARACTER VARYING(255),
modified_by_db_user CHARACTER VARYING(30)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_role_map(
user_id CHARACTER VARYING(10),
role_code CHARACTER VARYING(50)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_role_map_audit(
audit_id NUMERIC(38,0),
audit_date TIMESTAMP(0) WITHOUT TIME ZONE,
old_user_id CHARACTER VARYING(10),
old_role_code CHARACTER VARYING(50),
new_user_id CHARACTER VARYING(10),
new_role_code CHARACTER VARYING(50),
modified_by_os_user CHARACTER VARYING(255),
modified_by_db_user CHARACTER VARYING(30)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_therap_area_map_audit(
audit_id NUMERIC(38,0),
audit_date TIMESTAMP(0) WITHOUT TIME ZONE,
old_user_id CHARACTER VARYING(10),
old_therapeutic_area_code CHARACTER VARYING(25),
new_user_id CHARACTER VARYING(10),
new_therapeutic_area_code CHARACTER VARYING(25),
modified_by_os_user CHARACTER VARYING(255),
modified_by_db_user CHARACTER VARYING(30)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.user_therapeutic_area_map(
user_id CHARACTER VARYING(10),
therapeutic_area_code CHARACTER VARYING(25)
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.users(
user_id CHARACTER VARYING(10) NOT NULL,
first_name CHARACTER VARYING(50),
last_name CHARACTER VARYING(50),
email CHARACTER VARYING(60),
is_active CHARACTER(1) DEFAULT 'Y'
)
        WITH (
        OIDS=FALSE
        );



CREATE TABLE orcl.vaultobject_obj(
vaultid DOUBLE PRECISION,
creator DOUBLE PRECISION,
autoname CHARACTER VARYING(100),
title CHARACTER VARYING(100)
)
        WITH (
        OIDS=FALSE
        );



