-- ------------ Write CREATE-VIEW-stage scripts -----------

CREATE OR REPLACE VIEW orcl.broker_view (broker_id, broker_parent_name, broker_parent_id, short_name, entity, entity_type_id, entity_type) AS
SELECT
    b.brokerid AS broker_id, bp.broker_name AS broker_parent_name, bp.broker_parent_id, bp.short_name, b.entity, b.entitytypeid AS entity_type_id, et.entity_type
    FROM orcl.broker AS b
    JOIN orcl.entity_type AS et
        ON (et.entitytypeid = b.entitytypeid)
    LEFT OUTER JOIN orcl.broker_parent AS bp
        ON (bp.short_name = b.shortname);



CREATE OR REPLACE VIEW orcl.tablet_sample_result_vw (text, error_msg) AS
SELECT 'CREATE OR REPLACE FORCE VIEW ORCL.TABLET_SAMPLE_RESULT_VW(SAMPLE_KEY, SAMPLEID, SCIENTIST, MATERIALTYPE, BMSNUM, EXCIPIENTNAME, BATCHNUM, SAPNUM, OTHERID, NOTE, CREATEDBY, CREATEDDATE, MODIFIEDBY, STATUS, GRANULATION, BLEND, ELNNUM, CREATEDSITE, STDBMS, SAMPLE_DESC, EXPERIMENTNAME, EXPERIMENTID, EXPERIMENTCODE, REPNUM, DATASRC, CALNAME, CALVALUE) AS 
select 
SAMPLE_KEY,SAMPLEID,SCIENTIST,MATERIALTYPE,BMSNUM,EXCIPIENTNAME,BATCHNUM,SAPNUM,OTHERID,NOTE,CREATEDBY,CREATEDDATE,MODIFIEDBY,STATUS,GRANULATION,BLEND,ELNNUM,CREATEDSITE,STDBMS,SAMPLE_DESC,EXPERIMENTNAME,EXPERIMENTID,EXPERIMENTCODE,REPNUM,DATASRC,CALNAME,CALVALUE 
from (
WITH Sample_View
     AS (SELECT M.NAME AS SampleName,
                U.FULLNAME AS CREATOR,
                S.CONTAINERID AS DOCUMENTID,
                S.BATCHNUMBER,
                S.SAMPLEID,
                S.SAMPLETYPE,
                S.ISBMSAPI,
                S.BLEND,
                S.SAPNUMBER,
                S.BMSBMTNUMBER,
                S.EHSBAND,
                S.EXCIPIENTNAME,
                S.GRANULATIONTYPE,
                S.MATERIALTYPE,
                S.OTHERID,
                S.NOTE,
                V.AUTONAME AS elnnumber,
                s.creationdate
           FROM P_MPDBSampleinformation_obj S,
                P_Material_OBJ M,
                VAULTOBJECT_OBJ V,
                G_USER U
          WHERE     S.VAULTID = M.VAULTID
                AND S.OWNERID = M.OWNERID
                AND S.CONTAINERID = M.CONTAINERID
                AND S.CONTAINERID = V.VAULTID
                AND V.CREATOR = U.GUID)
SELECT
         70577777 + rownum as sample_key,
      -- sampleId+bmsNum+batchNum+materialType+geoMean+geoSD+arithMean+to_number(arithSD )as sample_key,
        sv.samplename as sampleid,
               -- sampleId+bmsNum+batchNum+materialType+geoMean+geoSD+arithMean+to_number(arithSD )as sample_key,
               sv.creator as scientist,
               sv.sampletype as materialtype,
               sv.bmsbmtnumber as bmsnum,
               sv.excipientname as excipientname,
               sv.batchnumber as batchnum,
               sv.sapnumber as sapnum,
               sv.otherid as otherid,
               sv.note as note,
               sv.creator as createdby,
               sv.creationdate as createddate,
               '' '' as modifiedby,
               ''Y'' as status,
               sv.granulationtype as granulation,
               sv.blend as blend,
               sv.elnnumber as elnnum,
               '' '' as createdsite,
               '' '' as stdbms,
               '' '' sample_desc,
        (select to_char(max(P1.TABLETWEIGHT)) from P_MPDBTABLETFRIABILITY1_OBJ P1 where P1.OWNERID=p.OWNERID  ) "900806880168237696",
        (select to_char(max(P1.NUMBEROFTABLETS)) from P_MPDBTABLETFRIABILITY1_OBJ P1 where P1.OWNERID=p.OWNERID  ) as  "189140684679493952",
        (select to_char(max(P1.TEMPERATURE)) from P_MPDBTABLETFRIABILITY1_OBJ P1 where P1.OWNERID=p.OWNERID  ) as "401456066072946368",
        (select to_char(max(P1.RH)) from P_MPDBTABLETFRIABILITY1_OBJ P1 where P1.OWNERID=p.OWNERID  ) as  "770722108465732096",
        (select to_char(max(P1.SCALEUSED)) from P_MPDBTABLETFRIABILITY1_OBJ P1 where P1.OWNERID=p.OWNERID  ) as "200668491666610944",
        (select to_char(max(P1.FRIABULATORUSED)) from P_MPDBTABLETFRIABILITY1_OBJ P1 where P1.OWNERID=p.OWNERID  ) as "967655408101801856",
               nvl (to_char (P.FRIABILITYAFTER100REVS), '' '')  "247778187556204384",
               nvl (to_char (P.OBSERVATIONSAFTER100REVS), '' '')  "227002308149670816",
               nvl (to_char (P.FRIABILITYAFTER400REVS), '' '')  "897948169588405120",
               nvl (to_char (P.OBSERVATIONSAFTER400REVS), '' '')  "516059683441827712",
       --nvl (to_char (P.REPLICATENAME,  --Removed .. relication not required
           ''Tablet Friability'' as experimentname,
                pdmp_support_pkg.get_experiment_type_id (''Tablet Friability'',   ''E'')as experimentid,
                pdmp_support_pkg.get_experiment_code (''Tablet Friability'', ''E'') as experimentcode,
              0 as repnum,
               ''ELN'' as datasrc
  FROM P_MPDBTABLETFRIABILITY1_OBJ P,
       P_MPDBSAMPLEINFO_OBJ S,
       Sample_View SV
WHERE     P.OWNERID = S.OWNERID
       AND P.CONTAINERID = S.CONTAINERID
       AND P.PARENTID = S.PARENTID
       AND S.CONTAINERID = SV.DOCUMENTID
       AND S.SAMPLEID = SV.SampleName)  unpivot (calvalue
                                                  for calname
                                                  in  ("900806880168237696",
                                                      "189140684679493952",
                                                      "401456066072946368",
                                                      "770722108465732096",
                                                      "200668491666610944",
                                                      "967655408101801856",
                                                      "247778187556204384",
                                                      "227002308149670816",
                                                      "897948169588405120",
                                                      "516059683441827712"
                                                      )  
                                                      );'::varchar AS text,'9996 - Severity CRITICAL - Transformer error occurred. Please submit report to developers.
'::varchar AS error_msg;



CREATE OR REPLACE VIEW orcl.toad_plan_table (statement_id, plan_id, timestamp, remarks, operation, options, object_node, object_owner, object_name, object_alias, object_instance, object_type, optimizer, search_columns, id, parent_id, depth, position, cost, cardinality, bytes, other_tag, partition_start, partition_stop, partition_id, other, distribution, cpu_cost, io_cost, temp_space, access_predicates, filter_predicates, projection, time, qblock_name, other_xml) AS
SELECT * FROM orcl.toad_plan_table();



CREATE OR REPLACE VIEW orcl.v_all_countries (country_code, country_name, wb_country_code, ifs_country_code, parent_node_id) AS
SELECT
    country_code, country_name, wb_country_code, ifs_country_code, parent_node_id
    FROM orcl.countries
UNION
SELECT
    a.country_code, a.country_alias AS country_name, c.wb_country_code, c.ifs_country_code, c.parent_node_id
    FROM orcl.country_aliases AS a
    JOIN orcl.countries AS c
        ON a.country_code = c.country_code;



CREATE OR REPLACE VIEW orcl.v_tableau_allegations (text, error_msg) AS
SELECT 'CREATE OR REPLACE FORCE VIEW ORCL.V_TABLEAU_ALLEGATIONS(ALLEGATION_ID, PERIOD_ID, DISCLOSURE_ID, CASE_NUMBER, ISSUE, MERGE_JOB_ID, COUNTRY_CODE, COUNTRY_NAME, THERAPEUTIC_AREA_CODE, THERAPEUTIC_AREA_NAME, ALLEGATION_TYPE, ALLEGATION_SUBTYPE, ALLEGATION_NATURE, INCIDENT_DATE, REPORTED_DATE, OPENED_DATE, DISCLOSURE_ACTION, INVESTIGATION_ACTION, FOLLOWUP_ACTION, CREATED_DATE) AS 
select tba.allegation_id,
   tba.period_id,
   tba.disclosure_id,
   tba.case_number,
   tba.issue,
   tba.merge_job_id,
   b.country_code,
   tba.country as country_name,
   tba.therapeutic_area_code,
   ta.therapeutic_area_name,
   tba.allegation_type,
   tba.allegation_subtype,
   tba.allegation_nature,
   tba.incident_date,
   tba.reported_date,
   tba.opened_date,
   tba.disclosure_action,
   tba.case_action as investigation_action,
   tba.followup_action,
   tba.created_date
from table(tableau_views.get_allegations) tba
left outer join v_all_countries b on lower(b.country_name) = lower(tba.country)
left outer join therapeutic_areas ta on tba.therapeutic_area_code = ta.therapeutic_area_code;'::varchar AS text,'5651 - Severity CRITICAL - Current inplementation of TABLE() does not support piplined functions. Perform a manual conversion.
5578 - Severity CRITICAL - Unable to automatically transform the SELECT statement. Try rewriting the statement.
'::varchar AS error_msg;



